This resource represents customer experiences, also known as help centers. Use this to manage customer experiences, including support sites.
Returns the Customer Service Management organizations that have access to a Customer Experience.
The Customer Experience must use organization-restricted access.
Permissions required: The caller must be able to administer the Customer Experience.
read:organization:jira-service-managementstring
Requiredinteger
integer
ExperimentalHeader
RequiredReturns the organizations that have access to the Customer Experience.
A page of organizations that have access to a Customer Experience.
1
2
3
4
5
curl --request GET \
--url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/helpcenter/{helpCenterId}/access/organization' \
--header 'Authorization: Bearer <access_token>' \
--header 'Accept: application/json' \
--header 'X-ExperimentalApi: opt-in'1
2
3
4
5
6
7
8
9
10
11
12
{
"startAt": 0,
"maxResults": 25,
"total": 1,
"isLast": true,
"organizations": [
{
"id": "123",
"name": "Atlassian"
}
]
}Grants up to 5 existing Customer Service Management organizations access to a Customer Experience.
The Customer Experience must already use organization-restricted access. This operation does not change a public Customer Experience to restricted access.
Permissions required: The caller must be able to view the organization and administer the Customer Experience.
read:organization:jira-service-managementwrite:organization:jira-service-managementstring
RequiredExperimentalHeader
Requiredarray<integer>
RequiredThe organizations have access to the Customer Experience.
1
2
3
4
5
6
7
8
9
10
11
curl --request POST \
--url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/helpcenter/{helpCenterId}/access/organization' \
--header 'Authorization: Bearer <access_token>' \
--header 'X-ExperimentalApi: opt-in' \
--header 'Content-Type: application/json' \
--data '{
"organizationIds": [
123,
456
]
}'Removes an existing Customer Service Management organization's access to a Customer Experience.
The Customer Experience must use organization-restricted access. If the organization does not currently have access, no change is made.
Permissions required: The caller must be able to view the organization and administer the Customer Experience.
read:organization:jira-service-managementwrite:organization:jira-service-managementstring
Requiredinteger
RequiredExperimentalHeader
RequiredThe organization no longer has access to the Customer Experience.
1
2
3
4
curl --request DELETE \
--url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/helpcenter/{helpCenterId}/access/organization/{organizationId}' \
--header 'Authorization: Bearer <access_token>' \
--header 'X-ExperimentalApi: opt-in'Raises the issue to be visible on the provided help center for the reporter to see.
If the issue has no submitted form, it attaches and submits the help center's default form. The values submitted in the form will use the values of Summary and Description on the provided issue.
If a form is already attached to the issue, this operation returns 409 Conflict.
Permissions required: The caller must be able to view the provided help center and be a Customer Service Management agent with EDIT_ISSUES permission for the provided issue.
write:csm-request:jira-service-managementstring
Requiredstring
RequiredExperimentalHeader
RequiredReturns a link to the raised issue in the support site associated with the provided help center.
1
2
3
4
5
curl --request POST \
--url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/helpcenter/{helpCenterId}/issue/{issueIdOrKey}/raise' \
--header 'Authorization: Bearer <access_token>' \
--header 'Accept: application/json' \
--header 'X-ExperimentalApi: opt-in'1
2
3
{
"supportSiteRequestUrl": "https://example.atlassian.net/helpcenter/acme-support/user/requests/CSM-123"
}Rate this page: